7

We are using Dreamweaver Get eXtension for our current Tridion 2009 SP1 platform. We have started migration of our Tridion 2009 SP1 to Tridion 2013. As far as I can determine, the Dreamweaver Get eXtension (DGX) is certified to work on Tridion 2009 and 2011, according to the author of the program. Does any one know whether this extension will work on Tridion 2013?

Thanks!

  • I'd be pretty confident that it will work, the source code is also online so if you need to recompile with another version of the tridion libaries that's also possible – johnwinter Dec 9 '13 at 19:34
  • ok thanks, let me give a try and if any issues yes can look back the source code to fix. – Manoj Sonawane Dec 9 '13 at 21:26
5

To be honest, I have not tested it - but this code has worked with no changes since 2009 GA, and given I use only public APIs I strongly doubt it will break in any way.

Give it a try and let us know? I'll gladly look into fixing it if needed, but again I strongly doubt it's broken.

PS: I also didn't test it for 2009 SP1, 2011 GA, 2011 SP1 or 2013 GA, and it does work on those versions...

PPS: I assumed you were upgrading to 2013 SP1, but I realize now that's not clear from your question. I have used the DGX on 2013 GA with no issues, and I'm pretty confident it will work on SP1 for the reasons mentioned above.

UPDATE

I went ahead and tried deploying the DGX on a new 2013 GA instance (didn't have an SP1 instance at hand). These are the steps I followed and it worked perfectly.

  1. Download the DGX from Tridion World
  2. Unblock the zip file (open properties, click unblock)
  3. Drag-and-drop the binary dll into c:\windows\assembly
  4. Add the required functionSource configuration to Tridion.ContentManager.Config
  5. Try using it

I did not need to recompile it.

I didn't have to restart anything because I had not yet loaded anything in Tridion, so when I opened my browser and went to Tridion it loaded the new configuration. I could preview and publish with no errors.

I think step #2 is going to keep on biting people forever.

| improve this answer | |
  • ok, I will try and see how it goes. thanks – Manoj Sonawane Dec 9 '13 at 21:26
  • we are using 2013 GA and not SP1 – Manoj Sonawane Dec 9 '13 at 22:54
  • You'll be fine, it's known to work on 2013 GA. Reach out if you run into trouble – Nuno Linhares Dec 10 '13 at 2:07
  • And btw, I guess this might be late in your upgrade process... but I'd consider implementing SP1 rather than GA – Nuno Linhares Dec 10 '13 at 12:19
  • 1
    Ohh ok, I was able to get the code from Reflector from our old dll. Some of the code was failing, so I upgraded that code to 2013 compatible library and everything is fine now. Thanks again. – Manoj Sonawane Dec 11 '13 at 23:16

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.